summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorThomas Wood <thomas.wood@intel.com>2014-03-11 16:04:28 +0000
committerDaniel Vetter <daniel.vetter@ffwll.ch>2014-03-11 17:19:47 +0100
commit14ea2a04ebfa287e33b69a3bc7e47f02ba93c9ed (patch)
tree92979ef4b06e2e8cb61287076d364cfe76c43ddf /autogen.sh
parentc769d0988b7fae0e758046ba165c9c52c4f2816a (diff)
Add API documentation support
Add optional support for building API documentation using gtk-doc. Signed-off-by: Thomas Wood <thomas.wood@intel.com> Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 354f254e..629a2575 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,6 +6,13 @@ test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
cd $srcdir
+if ! type gtkdocize > /dev/null 2>&1; then
+ echo "EXTRA_DIST =" > gtk-doc.make
+ echo "CLEANFILES =" >> gtk-doc.make
+else
+ gtkdocize || exit $?
+fi
+
autoreconf -v --install || exit 1
cd $ORIGDIR || exit $?